#!/bin/bash

# To update the validator for a new vendor release:

# svn merge ^/vendor/validator/OLD ^/vendor/validator/current validator
# svn merge ^/vendor/validator/OLD/htdocs ^/vendor/validator/current/htdocs validator/htdocs-weblet
# svn merge ^/vendor/validator/OLD/share/templates ^/vendor/validator/current/share/templates validator/share/templates-weblet/

set -eux

# Setup reasonable defaults when running outside XCode.
PROJECT_DIR=${PROJECT_DIR:-$PWD}
BUILD_DIR=${BUILD_DIR:-$PWD/build}

mkdir -p "$BUILD_DIR"

pushd "$BUILD_DIR"
rm -rf validator-sac

cp -rp "$PROJECT_DIR"/validator validator-sac

# Build or Patch SSI

if [ -f "$PROJECT_DIR"/validator-webletssi.patch ]
then
	pushd validator-sac
	patch -p1 < "$PROJECT_DIR"/validator-webletssi.patch
	popd
else
	# This branch is used when updating the validator, create patch after completion.
	cp -rp validator-sac validator-sac-orig
	ln -shf "$BUILD_DIR"/validator-sac-orig ~/Sites/validator-ssi-build
	URL=`hostname`/~$USER
	~/wget-1.10.2/src/wget -r -nv http://$URL/validator-ssi-build/htdocs-weblet
	~/wget-1.10.2/src/wget -r -nv http://$URL/validator-ssi-build/htdocs-weblet/loading.html
	#rm $URL/validator-ssi-build/htdocs-weblet/check*
	rm -r $URL/validator-ssi-build/htdocs-weblet/images
	cp -rp $URL/validator-ssi-build/htdocs-weblet validator-sac
fi

popd
